package com.yihu.jw.entity.care.securitymonitoring;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 紧急预警医生响应表
 * Created by Bing on 2021/5/21.
 */
@Entity
@Table(name="base_emergency_warn_doctor_response")
public class EmergencyWarnDoctorResponseDO extends UuidIdentityEntity {
    private String orderId;
    private String doctor;
    private Date responseTime;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getResponseTime() {
        return responseTime;
    }

    public void setResponseTime(Date responseTime) {
        this.responseTime = responseTime;
    }
}
